spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Protected Attributes | List of all members
spot::internal::twa_succ_iterable Class Reference

Helper class to iterate over the successor of a state using the on-the-fly interface. More...

`#include <spot/twa/twa.hh>`

Collaboration diagram for spot::internal::twa_succ_iterable:

## Public Member Functions
| twa_succ_iterable (const twa *aut, twa_succ_iterator *it)
| twa_succ_iterable (twa_succ_iterable &&other) noexcept
internal::succ_iterator | begin ()
internal::succ_iterator | end ()

## Protected Attributes
const twa * | aut_
twa_succ_iterator * | it_

## Detailed Description

Helper class to iterate over the successor of a state using the on-the-fly interface.

This one emulates an STL-like container with begin()/end() methods so that it can be iterated using a ranged-for.

The documentation for this class was generated from the following file:

- spot/twa/twa.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.